#include <bits/stdc++.h>
using namespace std;

int main() {
    string c;
    cin>>c;
    long long n;
    cin>>n;
    vector<int>ans;
    for(int i=0;i<n;i++){
        int a,b;
        cin>>a>>b;
        int cnt=0;
        for(int i=a;i<b;i++){
            if(c[i]<c[i-1]){
               cnt++;
            }
        }
        ans.push_back(cnt);
    }
    for(int i=0;i<n;i++){
        cout<<ans[i]+1<<endl;
    }
}
